package com.zcloud.basic.info.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.basic.info.domain.gateway.CorpInfoXgfGateway;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


/**
 * web-app
 *
 * @Author zhaokai
 * @Date 2025-10-31 10:52:09
 */
@Component
@AllArgsConstructor
public class CorpInfoXgfRemoveExe {
    private final CorpInfoXgfGateway corpInfoXgfGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long id) {
        boolean res = corpInfoXgfGateway.deletedCorpInfoXgfById(id);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long[] ids) {
        boolean res = corpInfoXgfGateway.deletedCorpInfoXgfByIds(ids);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }
}

